Stream: t-compiler/rust-analyzer

Topic: Request textDocument/semanticTokens/full failed.


matthiaskrgr (Sep 09 2020 at 10:16, on Zulip):

when I try to use RA, I get an error:

[ERROR rust_analyzer::dispatch] unknown request: Request { id: RequestId(U64(4)), method: "textDocument/semanticTokens/full", params: Object({"textDocument": Object({"uri": String("file:///home/matthias/vcs/github/rust-clippy/clippy_lints/src/utils/eager_or_lazy.rs")})}) }
[Error - 12:12:50] Request textDocument/semanticTokens/full failed.
  Message: unknown request
  Code: -32601

any idea what that means/how to fix that?

bjorn3 (Sep 09 2020 at 10:16, on Zulip):

Are you using the latest rust-analyzer extension and vscode version?

matthiaskrgr (Sep 09 2020 at 10:18, on Zulip):

I'm on todays nightly which ships RA and vsc 1.48.2, mmh

bjorn3 (Sep 09 2020 at 10:22, on Zulip):

The last sync was 8 days ago: #76155

bjorn3 (Sep 09 2020 at 10:22, on Zulip):

https://github.com/rust-analyzer/rust-analyzer/pull/5930 was merged 7 days ago

bjorn3 (Sep 09 2020 at 10:22, on Zulip):

Migrate to the latest Semantic Tokens Proposal for LSP 3.16

matthiaskrgr (Sep 09 2020 at 10:26, on Zulip):

Hm, I'm on RA f5a4a4b which does not have that commit

matthiaskrgr (Sep 09 2020 at 10:27, on Zulip):

guess I'm waiting on a sync then

Jonas Schievink [he/him] (Sep 09 2020 at 10:35, on Zulip):

I recommend installing from the VS Code marketplace

Laurențiu (Sep 09 2020 at 10:35, on Zulip):

Which Code version was https://github.com/rust-analyzer/rust-analyzer/pull/5930 for? I never had any problems.

Jonas Schievink [he/him] (Sep 09 2020 at 10:35, on Zulip):

I'll send an update PR regardless though, I forgot doing that on monday

Jeremy Kolb (Sep 09 2020 at 12:11, on Zulip):

Yeah that's a breaking change for older clients

Jeremy Kolb (Sep 09 2020 at 12:13, on Zulip):

Laurențiu Nicola said:

Which Code version was https://github.com/rust-analyzer/rust-analyzer/pull/5930 for? I never had any problems.

The vscode version should not matter since the client extension and the server were bumped there and both speak the same LSP

matthiaskrgr (Sep 11 2020 at 22:14, on Zulip):

Hm, so I am still getting that error

matthiaskrgr (Sep 11 2020 at 22:16, on Zulip):

ok something is strange with my nightly

matthiaskrgr (Sep 11 2020 at 22:16, on Zulip):

hopefully it's that...

matthiaskrgr (Sep 11 2020 at 22:18, on Zulip):

mh no I am just confused because it's already past midnight here I think (but no new nightly yet because CEST != UTC)...
I'm on rustc 1.48.0-nightly (a1947b3f9 2020-09-10)

matthiaskrgr (Sep 11 2020 at 22:19, on Zulip):

yeah, so that should include the RLA update of https://github.com/rust-lang/rust/pull/76513

matthiaskrgr (Sep 11 2020 at 22:24, on Zulip):

apparently there was one version inside ~/.cargo/bin/ and a different one in ~/.rustup/toolchains/nightly-x86_64-unknown-linux-gnu/bin :-/

Jeremy Kolb (Sep 14 2020 at 12:17, on Zulip):

Ah that would do it

Last update: Jul 29 2021 at 08:30UTC